import { GetJSON, Get } from "../util/axios"

export function getAllTopics() {
  return GetJSON("/dataassetmanager/countApi/queryAllTopics");
}

export function getTableModelByDirId(payload) {
  return GetJSON("/dataassetmanager/countApi/getTableModelInfoByDirIdAnotherType", payload);
}

export function getTreeTotalLevel(payload) {
  return Get("/dataassetmanager/countApi/getTreeTotalLevel", payload);
}

export function queryAllDirectoryAsTreeByDirLevel(payload) {
  return GetJSON("/dataassetmanager/countApi/queryAllDirectoryAsTreeByDirLevel", payload);
}

export function getTableModelInfoByDirIdAndBeginIndex(payload) {
  return GetJSON("/dataassetmanager/countApi/getTableModelInfoByDirIdAndBeginIndex", payload);
}
